Intermittent testActivityStreamContextMenu | Title does not match expected title - got Pin Site, expected Unpin Site

REOPENED
Unassigned

Status

()

P5
normal
REOPENED
a year ago
2 days ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

2 failures in 949 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* android-api-15-gradle: 1
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-08-14&endday=2017-08-20&tree=all
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-api-15-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-08-21&endday=2017-08-27&tree=all
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-08-28&endday=2017-09-03&tree=all
2 failures in 924 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* android-api-16-gradle: 1
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-09-04&endday=2017-09-10&tree=all
2 failures in 1032 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-09-11&endday=2017-09-17&tree=all
Component: Awesomescreen → Activity Stream
Reopening because of this fail:

https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&filter-searchStr=e57d8dc8e01e0bd234ad5b2b9821e3a091cd7d95&selectedJob=141820937
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 857 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-10-30&endday=2017-11-05&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: a year ago11 months ago
Resolution: --- → INCOMPLETE
2 failures in 423 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* android-api-16-gradle: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-12-11&endday=2017-12-17&tree=all
1 failures in 590 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-12-18&endday=2017-12-24&tree=all
1 failures in 147 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2017-12-25&endday=2017-12-31&tree=all
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-01-08&endday=2018-01-14&tree=all
2 failures in 657 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* android-api-16-gradle: 1
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-01-15&endday=2018-01-21&tree=all
3 failures in 701 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api16: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-01-22&endday=2018-01-28&tree=all
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-01-29&endday=2018-02-04&tree=all
2 failures in 702 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* android-api-16-gradle: 1
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-02-05&endday=2018-02-11&tree=all
2 failures in 685 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* android-api-16-gradle: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-02-12&endday=2018-02-18&tree=all
1 failures in 675 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1390368&startday=2018-02-19&endday=2018-02-25&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 11 months ago7 months ago
Resolution: --- → INCOMPLETE
1 failures in 780 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-04-23&endday=2018-04-29&tree=trunk
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 7 months ago5 months ago
Resolution: --- → INCOMPLETE
Reopening because of this failure:
https://treeherder.mozilla.org/logviewer.html#?job_id=180644037&repo=mozilla-inbound&lineNumber=1090

[task 2018-05-29T03:41:14.585Z] 03:41:14     INFO -  SimpleTest START
[task 2018-05-29T03:41:14.585Z] 03:41:14     INFO -  TEST-START | testActivityStreamContextMenu
[task 2018-05-29T03:41:36.924Z] 03:41:36     INFO -  GECKO | EventExpecter: no longer listening for Gecko:Ready
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  Buffered messages logged at 03:41:12
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Robocop tests need the test device screen to be powered on. -
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  Buffered messages logged at 03:41:27
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Given message occurred for registered event: {type=null} - Gecko:Ready should equal Gecko:Ready
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  ContextMenu | Highlight (Visited)
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor is not null - android.content.ContentResolver$CursorWrapperInner@41d1c020 should not equal null
[task 2018-05-29T03:41:47.252Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor has entries
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Database returned 1 highlights
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Move to beginning of cursor
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Buffered messages logged at 03:41:28
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Title does not match expected title - Pin Site should equal Pin Site
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Buffered messages logged at 03:41:29
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Title does not match expected title - Bookmark should equal Bookmark
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | menu item "Delete from History" should be visible - true should equal true
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Buffered messages logged at 03:41:33
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  ContextMenu | Highlight (Bookmarked, Visited)
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor is not null - android.content.ContentResolver$CursorWrapperInner@41dac928 should not equal null
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor has entries
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Database returned 1 highlights
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Move to beginning of cursor
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  Buffered messages logged at 03:41:35
[task 2018-05-29T03:41:47.253Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Title does not match expected title - Pin Site should equal Pin Site
[task 2018-05-29T03:41:47.254Z] 03:41:47     INFO -  Buffered messages logged at 03:41:36
[task 2018-05-29T03:41:47.254Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Title does not match expected title - Remove bookmark should equal Remove bookmark
[task 2018-05-29T03:41:47.255Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | menu item "Delete from History" should be visible - true should equal true
[task 2018-05-29T03:41:47.256Z] 03:41:47     INFO -  ContextMenu | Highlight (Bookmarked, Pinned, Visited)
[task 2018-05-29T03:41:47.256Z] 03:41:47     INFO -  Buffered messages logged at 03:41:37
[task 2018-05-29T03:41:47.257Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor is not null - android.content.ContentResolver$CursorWrapperInner@41acbcf0 should not equal null
[task 2018-05-29T03:41:47.258Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Highlights cursor has entries
[task 2018-05-29T03:41:47.258Z] 03:41:47     INFO -  Database returned 2 highlights
[task 2018-05-29T03:41:47.259Z] 03:41:47     INFO -  TEST-PASS | testActivityStreamContextMenu | Move to beginning of cursor
[task 2018-05-29T03:41:47.260Z] 03:41:47     INFO -  Buffered messages logged at 03:41:42
[task 2018-05-29T03:41:47.260Z] 03:41:47     INFO -  waitForCondition timeout after 5000 ms.
[task 2018-05-29T03:41:47.261Z] 03:41:47     INFO -  Buffered messages finished
[task 2018-05-29T03:41:47.262Z] 03:41:47  WARNING -  TEST-UNEXPECTED-FAIL | testActivityStreamContextMenu | Title does not match expected title - got Pin Site, expected Unpin Site
[task 2018-05-29T03:41:47.263Z] 03:41:47     INFO -  0 ERROR Exception caught during test! - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testActivityStreamContextMenu | Title does not match expected title - got Pin Site, expected Unpin Site
[task 2018-05-29T03:41:47.263Z] 03:41:47     INFO -  	at junit.framework.Assert.fail(Assert.java:50)
[task 2018-05-29T03:41:47.264Z] 03:41:47     INFO -  	at org.mozilla.gecko.FennecMochitestAssert._logMochitestResult(FennecMochitestAssert.java:124)
[task 2018-05-29T03:41:47.264Z] 03:41:47     INFO -  	at org.mozilla.gecko.FennecMochitestAssert.ok(FennecMochitestAssert.java:145)
[task 2018-05-29T03:41:47.265Z] 03:41:47     INFO -  	at org.mozilla.gecko.FennecMochitestAssert.is(FennecMochitestAssert.java:150)
[task 2018-05-29T03:41:47.265Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.testActivityStreamContextMenu.assertMenuItemHasString(testActivityStreamContextMenu.java:284)
[task 2018-05-29T03:41:47.266Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.testActivityStreamContextMenu.testMenuForItem(testActivityStreamContextMenu.java:253)
[task 2018-05-29T03:41:47.267Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.testActivityStreamContextMenu.testMenuForHighlight(testActivityStreamContextMenu.java:218)
[task 2018-05-29T03:41:47.268Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.testActivityStreamContextMenu.testActivityStreamContextMenuForHighlights(testActivityStreamContextMenu.java:115)
[task 2018-05-29T03:41:47.268Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.testActivityStreamContextMenu.testActivityStreamContextMenu(testActivityStreamContextMenu.java:59)
[task 2018-05-29T03:41:47.269Z] 03:41:47     INFO -  	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-05-29T03:41:47.269Z] 03:41:47     INFO -  	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-05-29T03:41:47.270Z] 03:41:47     INFO -  	at android.test.InstrumentationTestCase.runMethod(InstrumentationTestCase.java:214)
[task 2018-05-29T03:41:47.270Z] 03:41:47     INFO -  	at android.test.InstrumentationTestCase.runTest(InstrumentationTestCase.java:199)
[task 2018-05-29T03:41:47.271Z] 03:41:47     INFO -  	at android.test.ActivityInstrumentationTestCase2.runTest(ActivityInstrumentationTestCase2.java:192)
[task 2018-05-29T03:41:47.272Z] 03:41:47     INFO -  	at org.mozilla.gecko.tests.BaseRobocopTest.runTest(BaseRobocopTest.java:188)
[task 2018-05-29T03:41:47.272Z] 03:41:47     INFO -  	at junit.framework.TestCase.runBare(TestCase.java:134)
[task 2018-05-29T03:41:47.273Z] 03:41:47     INFO -  	at junit.framework.TestResult$1.protect(TestResult.java:115)
[task 2018-05-29T03:41:47.274Z] 03:41:47     INFO -  	at junit.framework.TestResult.runProtected(TestResult.java:133)
[task 2018-05-29T03:41:47.274Z] 03:41:47     INFO -  	at junit.framework.TestResult.run(TestResult.java:118)
[task 2018-05-29T03:41:47.275Z] 03:41:47     INFO -  	at junit.framework.TestCase.run(TestCase.java:124)
[task 2018-05-29T03:41:47.275Z] 03:41:47     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:191)
[task 2018-05-29T03:41:47.276Z] 03:41:47     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:176)
[task 2018-05-29T03:41:47.276Z] 03:41:47     INFO -  	at android.test.InstrumentationTestRunner.onStart(InstrumentationTestRunner.java:554)
[task 2018-05-29T03:41:47.276Z] 03:41:47     INFO -  	at org.mozilla.gecko.FennecInstrumentationTestRunner.onStart(FennecInstrumentationTestRunner.java:64)
[task 2018-05-29T03:41:47.277Z] 03:41:47     INFO -  	at android.app.Instrumentation$InstrumentationThread.run(Instrumentation.java:1701)
[task 2018-05-29T03:41:47.277Z] 03:41:47  WARNING -  TEST-UNEXPECTED-FAIL | testActivityStreamContextMenu | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testActivityStreamContextMenu | Title does not match expected title - got Pin Site, expected Unpin Site
[task 2018-05-29T03:41:47.277Z] 03:41:47     INFO -  TEST-OK | testActivityStreamContextMenu | took 42356ms
[task 2018-05-29T03:41:47.278Z] 03:41:47     INFO -  TEST-START | Shutdown
[task 2018-05-29T03:41:47.278Z] 03:41:47     INFO -  Passed: 17
[task 2018-05-29T03:41:47.283Z] 03:41:47     INFO -  Failed: 2
[task 2018-05-29T03:41:47.283Z] 03:41:47     INFO -  Todo: 0
[task 2018-05-29T03:41:47.283Z] 03:41:47     INFO -  SimpleTest FINISHED
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 655 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-05-28&endday=2018-06-03&tree=trunk
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 5 months ago4 months ago
Resolution: --- → INCOMPLETE
This is still happening.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=185000787&repo=autoland&lineNumber=1325
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-em-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-06-25&endday=2018-07-01&tree=trunk
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 4 months ago3 months ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=197320750&repo=mozilla-central&lineNumber=1476
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 2667 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* android-em-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-09-03&endday=2018-09-09&tree=all
1 failures in 2902 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-em-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-09-17&endday=2018-09-23&tree=all
1 failures in 2708 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-em-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-10-01&endday=2018-10-07&tree=all
2 failures in 2740 pushes (0.001 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* android-em-4-3-armv7-api16: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1390368&startday=2018-10-08&endday=2018-10-14&tree=all
You need to log in before you can comment on or make changes to this bug.